Suporte » Ajustando o WordPress » Atualizei na versão pt-br 3.0.1 e diz que estou na 3.1-alpha

  • Resolvido YMA

    (@yma)


    Hoje atualizei na versão pt-br 3.0.1 e diz que estou na 3.1-alpha o.O não entendi nada… alguem sabe o que houve?

Visualizando 15 respostas - 46 até 60 (de um total de 81)
  • Fiz este procedimento numa instalação local e serviu bem para contornar a situação:
    WordPress 3.1-alpha: Como fazer o downgrade “semiautomático” para a versão 3.0.1

    Engraçado, não é? 🙂

    Uma semana e ainda versão 3.1 Alpha dentro deste pacote…

    http://br.wordpress.org/wordpress-3.0.1-pt_BR.zip

    Sobre o downgrade, prefiro não arriscar. O WordPress liberou uma versão errada e cabe a ele consertar o erro. Vou aguardar. Mudei meu lema. Troquei o “Não deixe para amanhã o que pode fazer hoje” para “A pressa é inimiga da perfeição” e “Seguro morreu de velho”.

    Acredito que logo teremos a versão 3.1 oficial. Estão, depois que muitos instalarem e testarem, farei o mesmo.

    enapupe,

    Esse procedimento é relativamente seguro, pois deve provocar a substituição apenas dos arquivos que foram alterados entre as versões 3.0 e 3.0.1 porém se algum arquivo conter mensagens, essas aparecerão em inglês.

    O correto seria uma orientação ou procedimento semelhante usando a versão em português BR. Essa orientação ainda não veio.

    Lauro Faria
    http://www.bdibbs.com.br

    Puxa, baixei o WordPress do site brasileiro, ainda bem que foi apenas pra localhost.
    Gostaria de saber quando haverá ao menos uma resposta aqui, deixando-nos informados, porque como disseram acima, realmente parece que esqueceram de nós. Entendo que possam estar trabalhando em alguma correção, mas poderiam ao menos postar algo.

    Abraços 😉

    Pessoal,

    Desculpem a falta de resposta, não pude resolver este assunto até hoje e não tinha nenhuma posição além da última postada por mim aqui.

    Vamos lá, o que ocorreu da minha parte: eu montei o pacote de atualização utilizando a tradução da versão trunk do WordPress, ou seja da versão em desenvolvimento, pois era o que fizemos para o lançamento da versão 3.0. Porém desta vez eu deveria ter usado as traduções da tag 3.0.1.

    leandrocc, opossum123,

    Desculpem não dar nenhuma satisfação, mas como afirmei acima não tinha nenhuma posição ainda e não tive tempo para resolver este assunto até hoje. Infelizmente, este serviço é voluntário e eu não sou paga para fazê-lo, eu o faço sempre e de muito boa vontade, mas apenas quando posso e tenho tempo para tanto (como hoje, domingo e dia dos pais).

    No momento em que perceberam que a versão estava errada, o correto seria reverter para versão anterior e aguardar a correção. Eu logo avisei e admiti que havia feito algo errado e que iria buscar a solução. Acho que um pouco de paciência não é pedir muito e uma semana não é tanto assim. Cometi o erro também de não remover a versão errada do nosso site até que ela fosse corrigida, mas não sabia se a versão estava errada apenas pelo meu erro ou outros que não tivessem a ver com isso.

    Compreendo o problema que causei para pessoas com sites em produção, porém também lembro que não é recomendável fazer uma atualização sem backup, quem não faz backup antes de atualizar corre o mesmo risco de quebrar o site, por n motivos, independente do meu erro. Esta é uma recomendação básica.

    Peço que vocês não deixem de fazer suas atualizações tão logo saiam as próximas versões, pois assim vocês estão comprementendo a segurança de seus sites. Este erro não vai mais ocorrer pois está corrigido de vez.

    Desculpem novamente e peço a compreensão de todos.

    Abs.
    Ps. – ah, e ao invés de irem abrir uma thread no fórum em inglês para reclamar de um serviço gratuito (numa tentativa de reclamar com o “patrão”), vocês me procurassem diretamente para tentar me ajudar a resolver o problema, teria sido muito mais produtivo. O único que fez isso foi o Lauro Faria que me recomendou remover a versão errada.
    Valeu, Lauro, mas desculpe, realmente não pude resolver antes!

    Ah,

    E Derek, realmente, sim infelizmente, essa é a minha desculpa, não tenho outra melhor. Venho, sim, te dizer: não sou paga para fazer isso, repito faço voluntariamente, e comunidade livre é realmente assim.

    Errei? ERREI, MEA CULPA, MEA CULPA, MEA MÁXIMA CULPA, (dando chibatadas nas costas) Mas me acusar de falta de comprometimento é uma grande injustiça e covardia! Se tal era a sua indignação, porque não fez nada além de ficar aqui reclamando e me criticando? Porque eu estando direto nesta thread não se dirigiu diretamente a mim. Seja homem, camarada, e fale diretamente e abertamente. Não desculpo suas palavras rudes, não. Palavras rudes não servem para nada além de magoar as pessoas. Se suas palavras rudes servissem de alguma coisa… Lamentável também sua atitude, lamentável a atitudes de todos que esperam passivamente que seus problemas sejam corrigidos por outros e que ainda criticam esses outros.

    O meu comprometimento com essa comunidade é enorme, sou eu quem praticamente sozinha, vem mantendo as traduções atualizadas e procuro sempre que sai nova versão publicar logo a versão pt_BR. Se errei, na verdade foi no afã de colocar logo a versão pt_BR antes que os reclamões de plantão começassem a cobrar por ela (que anteriormente a MINHA iniciativa, nem saia e quando saia).

    Aliás, fui eu e sou eu quem tenta também manter este mesmo fórum através do qual você mui folgazão vem fazer sua crítica e externar sua indignação com a minha falta de comprometimento.

    Falta de comprometimento tem quem não faz NADA, isso é falta de comprometimento na minha terra.

    E mais, estou longe de dizer que não sou profissional porque sou voluntária, sou super profissional, sim. Respondo pelos meus erros, sim, e publicamente, sim, como muito marmanjo que tenho encontrado não tem culhão prá fazer, e sai por aí no twitter covardemente ou em seus próprios sites, terreno livre e seguro, para malhar o judas (eu).

    Não espere o mesmo profissionalismo caso eu fosse paga para fazer o que faço, mas saiba que tudo que eu faço, faço o melhor que posso sempre.

    Se não gostou, meu filho, venha fazer melhor! Não é um desafio, é apenas um convite!

    Cátia,

    Todos nós sabemos da dedicação daqueles que trabalham voluntariamente no desenvolvimento desta ferramenta maravilhosa que é o WordPress. Somos gratos a todos vocês. Sabemos, também, que os enganos podem acontecer, apesar dos testes realizados previamente. Todos nós erramos. Ninguém deve ser malhado por cauda disso.

    O que nos deixou preocupados foi o silêncio após constatado o engano e a falta de informações sobre a necessidade, ou não, de reverter a instalação. E, se fosse necessário retornar, como fazer? Confesso que não saberia e muitos estão na mesma situação. A mim só caberia pedir ao hospedeiro para baixar um backup, perdendo o que houvesse atualizado no período, daí a pressa em decidir o que fazer.

    Gostaria que você informasse se podemos manter a versão 3.1-alpha instalada normalmente em produção até que uma versão mais atualizada seja oficialmente disponibilizada pela equipe WordPress. Tenho 4 blogs e, pelo tempo decorrido, não é mais viável retornar ao dia anterior à atualização, a menos que seja crítico.

    Abraços,

    Paulo Teixeira

    Apenas para completar, li as instruções que estão em http://wp.me/pPhoK-wn e confesso que não sei como proceder. Quando instalo uma nova versão, limito-me a apertar um botão virtual. Não sou técnico. E para reverter? Como se limpa o banco de dados e faz-se o retorno ao release anterior? Seria possível ter um passo-a-passo ou, melhor, ainda, um botão que fizesse isso automaticamente?

    Desculpe insistir, mas as recomendações para que o retorno fosse feito, sob risco de ter problemas na instalação, me deixaram preocupado.

    Timoneiro,

    Eu acredito que não seja necessário limpar o banco de dados para fazer o downgrade.

    Fiz isso por duas vezes na maior tranquilidade. Lembre-se apenas de antes de qualquer coisa, fazer um backup das tabelas do WordPress (geralmente com o prefixo wp_) no seu banco de dados e também faça copia de segurança dos seguintes arquivos/ pastas:

    wp-config.php
    .htaccess
    a pasta /wp-content/ inteira.

    De resto, bastou enviar novamente, via FTP, os arquivos do WordPress, sobrescrevendo os que lá estavam. Envie todos os arquivos com excessão da pasta /wp-content/.

    Quando você acessar o Painel de Controle (Dashboard), vai receber uma tela avisando que é necessário atualizar a Base de Dados. Proceda tranquilamente clicando no botão correspondente.

    Pronto! Sem traumas.

    [E-mail removido por um moderador]

    Um grande abraço.

    Míriam de Paula
    (Drika)

    • Esta resposta foi modificada 10 meses, 2 semanas atrás por  Claudio Sanches.

    Catia,

    Apesar de estar interagindo desde o início, fui o menos afetado, pois notei o problema em meu site “beta”, aquele que uso para testes antes de qualquer alteração, além disso faço backup antes de qualquer procedimento. Em resumo: sua recomendação sobre backup é uma regra a ser seguida, sem direito a reclamações.

    Quando ao voluntariado todos também devem compreender, mesmo que o estresse da situação possa empurrar para reclamações mais inflamadas.

    Na minha conclusão inicial, pensava que o problema tinha relação ao erro cometido pelo wordpress.org que soltou uma versão incorreta / incompleta da versão 3.0.1 que foi corrigida 20 minutos depois. Pelas informações passadas trata-se realmente da versão alpha e portanto não estável.

    O link para correções já está aí, vou postar um comentário lá, na tentativa de ajudar um eventual downgrade.

    E para finalizar seria interessante que mais pessoas estejam envolvidas com o site Brasileiro,para que a Cátia não seja a única a segurar todos os pepinos.

    Lauro Faria
    http://www.bdibbs.com.br

    Cátia, obrigado pela atualização, realmente as dicas de testar a atualização e de backup foram postas a prova.
    Seria interessante ter alguém ajudando você, pois em uma comunidade tão grande quanto a do WordPress, é praticamente impossível que não haja uma pessoa que possa e queira ajudar.
    Até poderia me oferecer para ajudar em algo, mas não creio ter conhecimento para tanto.
    Quanto ao downgrade, a solução é seguir as informações do post do enapupe, que o atualizou com as informações atuais.

    Abraços 😉

    Também acho que não precisa mexer no banco de dados. Pra mim bastou apagar a pasta do WP, renomear a de backup (versão 3.0) e a partir daí atualizar pra versão 3.0.1
    Mas perdi os uploads feitos nesse meio tempo.

    Assim como há um botão para voltar à última versão estável do WP em inglês, poderia haver também um botão para voltar à última versão estável em pt-br.

    Se bem que, pelo menos pra mim, tentar voltar à versão nightly build mais recente automaticamente não funcionou.

    Fiz o procedimento sugerido pelo enapupe:

    Nesse caso faça o seguinte:

    * Acesse seu site via FTP e edite o arquivo wp-includes/version.php e troque o valor da variável $version de ’3.1-alpha’ para ’3.0′ [isso mesmo, apenas 3.0]

    * Volte ao Painel de Administração e você verá que existe um aviso de atualização. Mande atualizar para a versão 3.0.1 em português. Pronto!

    Na falta de uma orientação objetiva por parte da equipe do WordPress (sugerir fazer downgrade é muito vago), essa foi a maneira de sumir com o 3.1-alpha.

    Agora é aguardar novos releases e torcer para que não aconteça nada com os blogs. Fiquei esperto!

Visualizando 15 respostas - 46 até 60 (de um total de 81)
  • O tópico ‘Atualizei na versão pt-br 3.0.1 e diz que estou na 3.1-alpha’ está fechado para novas respostas.